POST api/Notification/GetUserNotifications

Get User Notification

Request Information

URI Parameters

None.

Body Parameters

UserNotificationModel
NameDescriptionTypeAdditional information
UserId

integer

None.

PageNumber

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "userId": 1,
  "pageNumber": 2
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

GenericResponseOfUserNotificationsDTO
NameDescriptionTypeAdditional information
status

string

None.

message

string

None.

UserStatus

string

None.

Data

UserNotificationsDTO

None.

Response Formats

application/json, text/json

Sample:
{
  "status": "sample string 1",
  "message": "sample string 2",
  "userStatus": "sample string 3",
  "data": {
    "pageSize": 1,
    "totalRecords": 2,
    "notifications": [
      {
        "id": 1,
        "userId": 2,
        "notificationTitle": "sample string 3",
        "notificationMessage": "sample string 4",
        "markAsRead": true,
        "isDelete": true,
        "createdOn": "2026-08-08T08:23:13.9462416+00:00",
        "languageId": 8,
        "typeId": 1,
        "notificationType": "sample string 9",
        "storeName": "sample string 10"
      },
      {
        "id": 1,
        "userId": 2,
        "notificationTitle": "sample string 3",
        "notificationMessage": "sample string 4",
        "markAsRead": true,
        "isDelete": true,
        "createdOn": "2026-08-08T08:23:13.9462416+00:00",
        "languageId": 8,
        "typeId": 1,
        "notificationType": "sample string 9",
        "storeName": "sample string 10"
      }
    ]
  }
}